/* The purpose of this program is to add value labels to the two data files
     adra_wiasrd_exits2007_with_acs.sas7bdat and adra_wiasrd_exits2009_with_acs.sas7bdat.
	 If only one of the two files is available, remove comment breaks as indicated
	    by the arrows (---> and <---) below.
   Please refer to the documentation for additional instructions. */

libname library '>>>> SPECIFY DIRECTORY NAME HERE <<<<' ;

proc format library = library ;
   value STFIPS_LBL
      1 = 'Alabama'  
      2 = 'Alaska'  
      4 = 'Arizona'  
      5 = 'Arkansas'  
      6 = 'California'  
      8 = 'Colorado'  
      9 = 'Connecticut'  
      10 = 'Delaware'  
      11 = 'District of Columbia'  
      12 = 'Florida'  
      13 = 'Georgia'  
      15 = 'Hawaii'  
      16 = 'Idaho'  
      17 = 'Illinois'  
      18 = 'Indiana'  
      19 = 'Iowa'  
      20 = 'Kansas'  
      21 = 'Kentucky'  
      22 = 'Louisiana'  
      23 = 'Maine'  
      24 = 'Maryland'  
      25 = 'Massachusetts'  
      26 = 'Michigan'  
      27 = 'Minnesota'  
      28 = 'Mississippi'  
      29 = 'Missouri'  
      30 = 'Montana'  
      31 = 'Nebraska'  
      32 = 'Nevada'  
      33 = 'New Hampshire'  
      34 = 'New Jersey'  
      35 = 'New Mexico'  
      36 = 'New York'  
      37 = 'North Carolina'  
      38 = 'North Dakota'  
      39 = 'Ohio'  
      40 = 'Oklahoma'  
      41 = 'Oregon'  
      42 = 'Pennsylvania'  
      44 = 'Rhode Island'  
      45 = 'South Carolina'  
      46 = 'South Dakota'  
      47 = 'Tennessee'  
      48 = 'Texas'  
      49 = 'Utah'  
      50 = 'Vermont'  
      51 = 'Virginia'  
      53 = 'Washington'  
      54 = 'West Virginia'  
      55 = 'Wisconsin'  
      56 = 'Wyoming' ;
   value FLAG_LBL
      0 = 'No'  
      1 = 'Yes' ;
   value AGE_CAT_LBL
      1 = '18-24'  
      2 = '25-54'  
      3 = '55 and older' ;
   value RACEETH_CAT_LBL
      1 = 'Black, non-Hispanic'  
      2 = 'Hispanic/Latino'  
      3 = 'White, non-Hispanic'  
      4 = 'Other/multiple, non-Hispanic (incl. not reported)' ;
   value EDU_CAT_LBL
      1 = 'Below high school'  
      2 = 'High school or GED diploma'  
      3 = 'Some college'  
      4 = 'Bachelor''s degree or beyond' ;
   value EMPSTAT_CAT_LBL
      1 = 'Employed'  
      2 = 'Employed, received notice of termination'  
      3 = 'Not employed' ;
   value AVGEARNPRE_CAT_LBL
      1 = '0'  
      2 = '.01 - 2,499.99'  
      3 = '2,500 - 4,999.99'  
      4 = '5,000 - 7,499.99'  
      5 = '7,500 - 9,999.99'  
      6 = '10,000 - 19,999.99'  
      7 = '20,000 or more' ;
   value SERVTIER_CAT_LBL
      1 = 'Intensive only'  
      2 = 'Training only'  
      3 = 'Both intensive and training'  
      4 = 'Neither intensive nor training' ;
   value OCCTRAIN_CAT_LBL
      1 = 'Managerial, administrative, professional, and technical'  
      4 = 'Sales, clerical, and administrative support'  
      6 = 'Service'  
      7 = 'Agricultural, natural resources, and construction'  
      8 = 'Mechanical and transportation'  
      2147483640 = 'Legitimate skip (didn''t receive any training)' ;
   value REGION_LBL
      1 = 'Region 1 (Northeast)'  
      2 = 'Region 2 (Mid-Atlantic)'  
      3 = 'Region 3 (Southeast)'  
      4 = 'Region 4 (Mountain)'  
      5 = 'Region 5 (Midwest)'  
      6 = 'Region 6 (West)' ;
   value SPR_YESNO_LBL
      1 = 'Yes'  
      2 = 'No' ;
   value GENDER_LBL
      1 = 'Male'  
      2 = 'Female' ;
   value SPR_RACEETH_LBL
      1 = 'Hispanic'  
      2 = 'Asian (not Hispanic)'  
      3 = 'Black (not Hispanic)'  
      4 = 'Native Hawaiian or Pacific Islander (not Hispanic)'  
      5 = 'American Indian or Alaska Native'  
      6 = 'White (not Hispanic)'  
      7 = 'Multiple Race (not Hispanic)' ;
   value SPR_HI_GRADE_LBL
      0 = 'None'  
      1 = '1 Year'  
      2 = '2 Years'  
      3 = '3 Years'  
      4 = '4 Years'  
      5 = '5 Years'  
      6 = '6 Years'  
      7 = '7 Years'  
      8 = '8 Years'  
      9 = '9 Years'  
      10 = '10 Years'  
      11 = '11 Years'  
      12 = '12 Years, no High School Diploma'  
      13 = '13 Years'  
      14 = '14 Years'  
      15 = '15 Years'  
      16 = 'Bachelor''s degree or equivalent'  
      17 = 'Education beyond the Bachelor''s degree'  
      87 = 'Attained High School Diploma'  
      88 = 'Attained GED or equivalent'  
      89 = 'Attained certificate of attendance/completion'  
      90 = 'Attained other post-secondary degree or certification'  
      91 = 'Attained Associates Diploma or Degree' ;
   value SPR_EMPSTAT_LBL
      1 = 'Employed'  
      2 = 'Employed, but received notice of termination'  
      3 = 'Not employed' ;
   value ELIG_VET_LBL
      1 = 'Yes, <= 180 days'  
      2 = 'Yes, eligible veteran'  
      3 = 'Yes, other eligible person'  
      4 = 'No' ;
   value OCCTRAIN_SPRGEN_LBL
      1 = 'Managerial, administrative, professional or technical'  
      4 = 'Sales, clerical and administrative support'  
      6 = 'Service workers'  
      7 = 'Ag., forestry, fishing and related workers, construction & extractive workers'  
      8 = 'Mechanical and related, hand workers, transportation and related, and military' ;


/* If no 2007 file (change 1/2) remove this asterisk and forward slash ---> */
proc datasets library = library ;
modify adra_wiasrd_exits2007_with_acs;
   format state_fips STFIPS_LBL.;
   format adult_flag FLAG_LBL.;
   format diswrk_flag FLAG_LBL.;
   format female_flag FLAG_LBL.;
   format   age_cat AGE_CAT_LBL.;
   format raceeth_cat RACEETH_CAT_LBL.;
   format   edu_cat EDU_CAT_LBL.;
   format empstat_cat EMPSTAT_CAT_LBL.;
   format avgearnpre_cat AVGEARNPRE_CAT_LBL.;
   format singpar_flag FLAG_LBL.;
   format disphm_flag FLAG_LBL.;
   format lowinc_flag FLAG_LBL.;
   format tanf_flag FLAG_LBL.;
   format othpubasst_flag FLAG_LBL.;
   format disab_flag FLAG_LBL.;
   format limeng_flag FLAG_LBL.;
   format  vet_flag FLAG_LBL.;
   format servtier_cat SERVTIER_CAT_LBL.;
   format train_flag FLAG_LBL.;
   format ssneeds_flag FLAG_LBL.;
   format occtrain_cat OCCTRAIN_CAT_LBL.;
   format emp_anyq1yrpost_flag FLAG_LBL.;
   format emp_q1post_flag FLAG_LBL.;
   format emp_all4qpost_flag FLAG_LBL.;
   format area_region REGION_LBL.;
   format wiasrd_orig_adult_SPRgen SPR_YESNO_LBL.;
   format wiasrd_orig_diswrk_SPRgen SPR_YESNO_LBL.;
   format wiasrd_orig_gender GENDER_LBL.;
   format wiasrd_orig_raceeth_SPRgen SPR_RACEETH_LBL.;
   format wiasrd_orig_hi_grade SPR_HI_GRADE_LBL.;
   format wiasrd_orig_empstat SPR_EMPSTAT_LBL.;
   format wiasrd_orig_singpar SPR_YESNO_LBL.;
   format wiasrd_orig_disp_hm SPR_YESNO_LBL.;
   format wiasrd_orig_low_inc SPR_YESNO_LBL.;
   format wiasrd_orig_tanf SPR_YESNO_LBL.;
   format wiasrd_orig_oth_pubasst SPR_YESNO_LBL.;
   format wiasrd_orig_disability SPR_YESNO_LBL.;
   format wiasrd_orig_lim_eng SPR_YESNO_LBL.;
   format wiasrd_orig_elig_vet ELIG_VET_LBL.;
   format wiasrd_orig_ss SPR_YESNO_LBL.;
   format wiasrd_orig_needs SPR_YESNO_LBL.;
   format wiasrd_orig_occtrain_SPRgen OCCTRAIN_SPRGEN_LBL.;
quit;
/* <--- Remove this backslash and asterisk if no 2007 file (change 2/2) */



/* If no 2009 file (change 1/2) remove this asterisk and forward slash ---> */
proc datasets library = library ;
modify adra_wiasrd_exits2009_with_acs;
   format state_fips STFIPS_LBL.;
   format adult_flag FLAG_LBL.;
   format diswrk_flag FLAG_LBL.;
   format female_flag FLAG_LBL.;
   format   age_cat AGE_CAT_LBL.;
   format raceeth_cat RACEETH_CAT_LBL.;
   format   edu_cat EDU_CAT_LBL.;
   format empstat_cat EMPSTAT_CAT_LBL.;
   format avgearnpre_cat AVGEARNPRE_CAT_LBL.;
   format singpar_flag FLAG_LBL.;
   format disphm_flag FLAG_LBL.;
   format lowinc_flag FLAG_LBL.;
   format tanf_flag FLAG_LBL.;
   format othpubasst_flag FLAG_LBL.;
   format disab_flag FLAG_LBL.;
   format limeng_flag FLAG_LBL.;
   format  vet_flag FLAG_LBL.;
   format servtier_cat SERVTIER_CAT_LBL.;
   format train_flag FLAG_LBL.;
   format ssneeds_flag FLAG_LBL.;
   format occtrain_cat OCCTRAIN_CAT_LBL.;
   format emp_anyq1yrpost_flag FLAG_LBL.;
   format emp_q1post_flag FLAG_LBL.;
   format emp_all4qpost_flag FLAG_LBL.;
   format area_region REGION_LBL.;
   format wiasrd_orig_adult_SPRgen SPR_YESNO_LBL.;
   format wiasrd_orig_diswrk_SPRgen SPR_YESNO_LBL.;
   format wiasrd_orig_gender GENDER_LBL.;
   format wiasrd_orig_raceeth_SPRgen SPR_RACEETH_LBL.;
   format wiasrd_orig_hi_grade SPR_HI_GRADE_LBL.;
   format wiasrd_orig_empstat SPR_EMPSTAT_LBL.;
   format wiasrd_orig_singpar SPR_YESNO_LBL.;
   format wiasrd_orig_disp_hm SPR_YESNO_LBL.;
   format wiasrd_orig_low_inc SPR_YESNO_LBL.;
   format wiasrd_orig_tanf SPR_YESNO_LBL.;
   format wiasrd_orig_oth_pubasst SPR_YESNO_LBL.;
   format wiasrd_orig_disability SPR_YESNO_LBL.;
   format wiasrd_orig_lim_eng SPR_YESNO_LBL.;
   format wiasrd_orig_elig_vet ELIG_VET_LBL.;
   format wiasrd_orig_ss SPR_YESNO_LBL.;
   format wiasrd_orig_needs SPR_YESNO_LBL.;
   format wiasrd_orig_occtrain_SPRgen OCCTRAIN_SPRGEN_LBL.;
quit;
/* <--- Remove this backslash and asterisk if no 2009 file (change 2/2) */